# pulpcore-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.0.0rc5.dev01566838181
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulpcore 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulpcore
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulpcore
from pulpcore.client.pulpcore.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulpcore.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost:24817
configuration.host = "http://localhost:24817"
# Create an instance of the API class
api_instance = pulpcore.client.pulpcore.ArtifactsApi(pulpcore.client.pulpcore.ApiClient(configuration))
file = '/path/to/file' # file | The stored file. (optional)
size = 56 # int | The size of the file in bytes. (optional)
md5 = 'md5_example' # str | The MD5 checksum of the file if available. (optional)
sha1 = 'sha1_example' # str | The SHA-1 checksum of the file if available. (optional)
sha224 = 'sha224_example' # str | The SHA-224 checksum of the file if available. (optional)
sha256 = 'sha256_example' # str | The SHA-256 checksum of the file if available. (optional)
sha384 = 'sha384_example' # str | The SHA-384 checksum of the file if available. (optional)
sha512 = 'sha512_example' # str | The SHA-512 checksum of the file if available. (optional)

try:
    # Create an artifact
    api_response = api_instance.create(file=file, size=size, md5=md5, sha1=sha1, sha224=sha224, sha256=sha256, sha384=sha384, sha512=sha512)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ArtifactsApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ArtifactsApi* | [**create**](docs/ArtifactsApi.md#create) | **POST** /pulp/api/v3/artifacts/ | Create an artifact
*ArtifactsApi* | [**delete**](docs/ArtifactsApi.md#delete) | **DELETE** {artifact_href} | Delete an artifact
*ArtifactsApi* | [**list**](docs/ArtifactsApi.md#list) | **GET** /pulp/api/v3/artifacts/ | List artifacts
*ArtifactsApi* | [**read**](docs/ArtifactsApi.md#read) | **GET** {artifact_href} | Inspect an artifact
*OrphansApi* | [**delete**](docs/OrphansApi.md#delete) | **DELETE** /pulp/api/v3/orphans/ | Delete orphans
*RepositoriesApi* | [**create**](docs/RepositoriesApi.md#create) | **POST** /pulp/api/v3/repositories/ | Create a repository
*RepositoriesApi* | [**delete**](docs/RepositoriesApi.md#delete) | **DELETE** {repository_href} | Delete a repository
*RepositoriesApi* | [**list**](docs/RepositoriesApi.md#list) | **GET** /pulp/api/v3/repositories/ | List repositories
*RepositoriesApi* | [**partial_update**](docs/RepositoriesApi.md#partial_update) | **PATCH** {repository_href} | Partially update a repository
*RepositoriesApi* | [**read**](docs/RepositoriesApi.md#read) | **GET** {repository_href} | Inspect a repository
*RepositoriesApi* | [**update**](docs/RepositoriesApi.md#update) | **PUT** {repository_href} | Update a repository
*RepositoriesVersionsApi* | [**create**](docs/RepositoriesVersionsApi.md#create) | **POST** {repository_href}versions/ | Create a repository version
*RepositoriesVersionsApi* | [**delete**](docs/RepositoriesVersionsApi.md#delete) | **DELETE** {repository_version_href} | Delete a repository version
*RepositoriesVersionsApi* | [**list**](docs/RepositoriesVersionsApi.md#list) | **GET** {repository_href}versions/ | List repository versions
*RepositoriesVersionsApi* | [**read**](docs/RepositoriesVersionsApi.md#read) | **GET** {repository_version_href} | Inspect a repository version
*StatusApi* | [**status_read**](docs/StatusApi.md#status_read) | **GET** /pulp/api/v3/status/ | Inspect status of Pulp
*TasksApi* | [**delete**](docs/TasksApi.md#delete) | **DELETE** {task_href} | Delete a task
*TasksApi* | [**list**](docs/TasksApi.md#list) | **GET** /pulp/api/v3/tasks/ | List tasks
*TasksApi* | [**read**](docs/TasksApi.md#read) | **GET** {task_href} | Inspect a task
*TasksApi* | [**tasks_cancel**](docs/TasksApi.md#tasks_cancel) | **PATCH** {task_href} | Cancel a task
*UploadsApi* | [**commit**](docs/UploadsApi.md#commit) | **POST** {upload_href}commit/ | Finish an Upload
*UploadsApi* | [**create**](docs/UploadsApi.md#create) | **POST** /pulp/api/v3/uploads/ | Create an upload
*UploadsApi* | [**delete**](docs/UploadsApi.md#delete) | **DELETE** {upload_href} | Delete an upload
*UploadsApi* | [**list**](docs/UploadsApi.md#list) | **GET** /pulp/api/v3/uploads/ | List uploads
*UploadsApi* | [**read**](docs/UploadsApi.md#read) | **GET** {upload_href} | Inspect an upload
*UploadsApi* | [**update**](docs/UploadsApi.md#update) | **PUT** {upload_href} | Upload a file chunk
*WorkersApi* | [**list**](docs/WorkersApi.md#list) | **GET** /pulp/api/v3/workers/ | List workers
*WorkersApi* | [**read**](docs/WorkersApi.md#read) | **GET** {worker_href} | Inspect a worker


## Documentation For Models

 - [Artifact](docs/Artifact.md)
 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [ContentAppStatus](docs/ContentAppStatus.md)
 - [ContentSummary](docs/ContentSummary.md)
 - [DatabaseConnection](docs/DatabaseConnection.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [ProgressReport](docs/ProgressReport.md)
 - [RedisConnection](docs/RedisConnection.md)
 - [Repository](docs/Repository.md)
 - [RepositoryVersion](docs/RepositoryVersion.md)
 - [RepositoryVersionCreate](docs/RepositoryVersionCreate.md)
 - [Status](docs/Status.md)
 - [Task](docs/Task.md)
 - [TaskCancel](docs/TaskCancel.md)
 - [Upload](docs/Upload.md)
 - [UploadChunkDetail](docs/UploadChunkDetail.md)
 - [UploadCommit](docs/UploadCommit.md)
 - [UploadDetail](docs/UploadDetail.md)
 - [Version](docs/Version.md)
 - [Worker](docs/Worker.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




